package com.persagy.adm.diagram.core.model.logic;

import com.google.gson.annotations.Expose;

/**
 * 设备打包配置
 * @author zhaoyk
 */
public class EquipPack {

	/**
	 * 是否按设备类打包，为false时，所有类型设备打包成一个
	 */
	@Expose
	private boolean packByType = true;

	/**
	 * 打包为一个设备时，如果包含多种类型，使用的图例
	 */
	@Expose
	private String legendId;

	/**
	 * 打包为一个设备时，如果包含多种类型，显示的名称
	 */
	@Expose
	private String packName;

	public boolean isPackByType() {
		return packByType;
	}

	public void setPackByType(boolean packByType) {
		this.packByType = packByType;
	}

	public String getLegendId() {
		return legendId;
	}

	public void setLegendId(String legendId) {
		this.legendId = legendId;
	}

	public String getPackName() {
		return packName;
	}

	public void setPackName(String packName) {
		this.packName = packName;
	}

}
